<?php

/**
 * SmartBuy.ro feed generator for unweb
 */



/**
 * config
 */

$sbSeparator = "|";
$http_base = 'http://' . $_SERVER['SERVER_NAME'] . dirname($_SERVER['PHP_SELF']) . '/';
$http_base_image = $http_base . 'image/';
$sbFromEncoding = 'iso-8859-1';


//header('Content-Type: text/plain', true);
set_time_limit(0);
ini_set('display_errors', 0);

require("config.php");

require_once(DIR_SYSTEM . 'startup.php');

$db = new DB(DB_DRIVER, DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_DATABASE);

/**
 * @param string $text
 * @return string
 */
function convert_text($text)
{
	$text = mb_convert_encoding($text, 'utf-8', $GLOBALS['sbFromEncoding']);
	$text = html_entity_decode($text, ENT_QUOTES, 'utf-8');
	$text = strip_tags($text);
	$text = htmlspecialchars($text, ENT_QUOTES);
	$text = str_replace(array("\n", "\r", "\t", $GLOBALS['sbSeparator']), " ", $text);
	$text = mb_convert_encoding($text, 'html', 'utf-8');
	return $text;
}

# Limba
$queryLanguageCode = mysql_query("SELECT value FROM " . DB_PREFIX . "setting WHERE " . DB_PREFIX . "setting.key='config_language'") or die("Language code: " . mysql_error());
$rowLanguageCode = mysql_fetch_array($queryLanguageCode);

$languageCode = $rowLanguageCode['value'];

$queryLanguageId = mysql_query("SELECT language_id FROM " . DB_PREFIX . "language WHERE code='" . $languageCode . "' LIMIT 1") or die("Language id: " . mysql_error());
$rowLanguageId = mysql_fetch_array($queryLanguageId);

$mainLanguage = $rowLanguageId['language_id'];

# Valuta
$resCurrency = mysql_query("SELECT value FROM " . DB_PREFIX . "setting WHERE " . DB_PREFIX . "setting.key='config_currency'") or die("Currency code: " . mysql_error());
if ($resCurrency)
{
	while ($field = mysql_fetch_assoc($resCurrency))
	{
		$aCurrency = $field['value'];
		break;
	}
}

# Categorii
$resCat = mysql_query("SELECT * FROM " . DB_PREFIX . "category 
	LEFT JOIN " . DB_PREFIX . "category_description ON (" . DB_PREFIX . "category.category_id = " . DB_PREFIX . "category_description.category_id) 
	WHERE language_id = '" . $mainLanguage . "'") or die("Category: " . mysql_error());
if ($resCat)
{
	while ( $field = mysql_fetch_assoc($resCat) )
	{
		$aCategories[$field['category_id']] = $field;
	}
}

# Produse
$query = "SELECT " . DB_PREFIX . "product_to_category.category_id, " . DB_PREFIX . "manufacturer.name as prod_manufacturer, " . DB_PREFIX . "product.model as prod_model, " . DB_PREFIX . "product.product_id as prod_id, " . DB_PREFIX . "product.tax_class_id, " . DB_PREFIX . "product_description.name as prod_name, " . DB_PREFIX . "product_description.description as prod_desc, " . DB_PREFIX . "product.image as prod_image, " . DB_PREFIX . "product.price as prod_price, " . DB_PREFIX . "tax_rate.rate
	FROM " . DB_PREFIX . "product
	LEFT JOIN " . DB_PREFIX . "product_description ON (" . DB_PREFIX . "product.product_id = " . DB_PREFIX . "product_description.product_id AND " . DB_PREFIX . "product_description.language_id = " . $mainLanguage . ")
	LEFT JOIN " . DB_PREFIX . "manufacturer ON " . DB_PREFIX . "product.manufacturer_id = " . DB_PREFIX . "manufacturer.manufacturer_id
	LEFT JOIN " . DB_PREFIX . "product_to_category ON " . DB_PREFIX . "product.product_id = " . DB_PREFIX . "product_to_category.product_id
	LEFT JOIN " . DB_PREFIX . "tax_rate ON " . DB_PREFIX . "product.tax_class_id = " . DB_PREFIX . "tax_rate.tax_class_id
	WHERE " . DB_PREFIX . "product.status = '1'
	ORDER BY " . DB_PREFIX . "product.product_id ASC, " . DB_PREFIX . "product_to_category.category_id DESC";
$resProducts = mysql_query($query);

while ( $row = mysql_fetch_assoc($resProducts) )
{
	
	$sbProduct = array();

	$sbProduct['product_id'] = $row['prod_id'];
	$sbProduct['product'] = convert_text($row['prod_name']);
	$sbProduct['price'] = sprintf('%.2f', $row['prod_price']);
	$sbProduct['brand'] = convert_text($row['prod_manufacturer']);

	$sbProduct['description'] = convert_text($row['prod_desc']);

	$sbProduct['category'] = convert_text($aCategories[$row['category_id']]['name']);

	$sbProduct['url'] = $http_base . 'index.php?route=product/product&product_id=' . $row['prod_id'];
	if ( !empty($row['prod_image']) )
	{
		$sbProduct['image_url'] = $http_base . 'image/' . $row['prod_image'];
	} else {
		$sbProduct['image_url'] = '';
	}
	
	$sbCurrency = $aCurrency;

	print
		$sbProduct['product_id'].$sbSeparator. // sku
		$sbProduct['category'].$sbSeparator. // category tree
		$sbProduct['brand'].$sbSeparator. // manufacturer
		$sbProduct['product'].$sbSeparator. // product name
		$sbProduct['description'].$sbSeparator. // descriere
		$sbProduct['price'].$sbSeparator. // pret
		$sbCurrency.$sbSeparator. //curency
		''.$sbSeparator. // livrare
		''.$sbSeparator. // garantie
		$sbProduct['url'].$sbSeparator. // url
		$sbProduct['image_url'].$sbSeparator. // url for image
		''.$sbSeparator. // timp livrare
		''.$sbSeparator. // mpc
		''. // stoc
		"\n";
}
